%define shortname simplejson
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%global debug_package %{nil}

Name:           python-%{shortname}
Version:        3.8.1
Release:        1.fc25
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        https://pypi.python.org/packages/source/s/simplejson/%{shortname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%package -n python3-simplejson
Summary:        Simple, fast, extensible JSON encoder/decoder for Python3
Group:          Development/Python

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python3.3+ It is pure
Python code with no dependencies, but includes an optional C extension for a
serious speed boost.

%prep
%setup -q -n %{shortname}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd
%{__python} setup.py build
./scripts/make_docs.py

%install
%{__python} setup.py install --root=%{buildroot}
rm docs/.buildinfo
rm docs/.nojekyll

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot}
popd


%files
%doc docs LICENSE.txt
%{python_sitelib}/*

%files -n python3-simplejson
%doc LICENSE.txt
%{python3_sitelib}/*
